<?php

	include_once( PLOG_CLASS_PATH."class/action/admin/siteadminaction.class.php" );
	include_once( PLOG_CLASS_PATH."class/view/admin/chooser/adminuserchooserview.class.php" );

	class AdminUserChooserAction extends SiteAdminAction
	{
	
		function AdminUserChooserAction( $actionInfo, $request )
		{
			$this->SiteAdminAction( $actionInfo, $request );
		}
		
		function perform()
		{
			// load the mode
			$mode = $this->_request->getValue( "mode" );
			if( $mode == "" )
				$mode = 1;
		
			// load the view in chooser mode
			$this->_view = new AdminUserChooserView( $this->_blogInfo );
			$this->_view->setValue( "mode", $mode );
			$this->setCommonData();
			
			return true;
		}
	}
?>